border offset factor for background mask of MText entity
Any help on how to set this "border offset factor" for the MText entity's "background mask" via autolisp would be great! Thanks
0
Comments
-
An approach would be to use the dxf codes specific to MText entities.
The next article could be used as a start point.
https://help.autodesk.com/view/OARX/2024/ENU/?guid=GUID-5E5DB93B-F8D3-4433-ADF7-E92E250D2BAB
Another approach would be to use Visual Lisp - (vla-...) functions.
To see what methods and properties are available for a MText entity, the (vlax-dump-object) function can be used.
https://documentation.help/AutoLISP-Functions/WS1a9193826455f5ff1a32d8d10ebc6b7ccc-682a.htm
0 -
My $0.05
;;;===================================================================;
;;; DumpIt ;
;;;-------------------------------------------------------------------;
;;; Dump all methods and properties for selected objects ;
;;;===================================================================;
(defun C:Dumpit ( / ent)
(while (setq ent (entsel "\n pick object "))
(vlax-Dump-Object
(vlax-Ename->Vla-Object (car ent))
)
)
(princ)
)
;(dumpallproperties (car (entsel)))0 -
Hi
The background properties are not available in LISP. I had raised an SR a few years ago but it has not been implemented yet. Please raise an SR so Bricsys takes note of this missing feature.
0 -
Or here:
0